MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
StorageFileInfo Struct Reference

`#include <FileInfo.hxx>`

## Public Types
enum | Type : uint8_t { Type::OTHER, Type::REGULAR, Type::DIRECTORY }

## Public Member Functions
constexpr bool | IsRegular () const
constexpr bool | IsDirectory () const

## Data Fields
Type | type
uint64_t | size
| The file size in bytes. More...
time_t | mtime
| The modification time. More...
unsigned | device
| Device id and inode number. More...
unsigned | inode

## Detailed Description

Definition at line 28 of file FileInfo.hxx.

## Member Enumeration Documentation

enum StorageFileInfo::Type : uint8_t
| strong

Enumerator
OTHER |
REGULAR |
DIRECTORY |

Definition at line 29 of file FileInfo.hxx.

## Member Function Documentation

constexpr bool StorageFileInfo::IsDirectory | ( |  | ) | const
| inline

Definition at line 57 of file FileInfo.hxx.

constexpr bool StorageFileInfo::IsRegular | ( |  | ) | const
| inline

Definition at line 53 of file FileInfo.hxx.

## Field Documentation

unsigned StorageFileInfo::device

Device id and inode number.

0 means unknown / not applicable.

Definition at line 51 of file FileInfo.hxx.

unsigned StorageFileInfo::inode

Definition at line 51 of file FileInfo.hxx.

time_t StorageFileInfo::mtime

The modification time.

0 means unknown / not applicable.

Definition at line 45 of file FileInfo.hxx.

uint64_t StorageFileInfo::size

The file size in bytes.

Only valid for #Type::REGULAR.

Definition at line 40 of file FileInfo.hxx.

Type StorageFileInfo::type

Definition at line 35 of file FileInfo.hxx.

The documentation for this struct was generated from the following file:

- storage/FileInfo.hxx